Enumerations | Functions | Variables

# statusbar_gui.h File Reference

Functions, definitions and such used only by the GUI. More...

Go to the source code of this file.

## Enumerations
enum | StatusBarInvalidate { SBI_SAVELOAD_START, SBI_SAVELOAD_FINISH, SBI_SHOW_TICKER, SBI_SHOW_REMINDER, SBI_NEWS_DELETED, SBI_END }
| What of the statusbar must be invalidated? More...
## Functions
bool | IsNewsTickerShown ()
| Checks whether the news ticker is currently being used.
void | ShowStatusBar ()
| Show our status bar.
## Variables
int16 * | _preferred_statusbar_size
| Pointer to the default size for the status toolbar.

## Detailed Description

Functions, definitions and such used only by the GUI.

Definition in file statusbar_gui.h.

## Enumeration Type Documentation

enum StatusBarInvalidate

What of the statusbar must be invalidated?

Enumerator:

  SBI_SAVELOAD_START | started saving
  SBI_SAVELOAD_FINISH | finished saving
  SBI_SHOW_TICKER | start scrolling news
  SBI_SHOW_REMINDER | show a reminder (dot on the right side of the statusbar)
  SBI_NEWS_DELETED | abort current news display (active news were deleted)

Definition at line 16 of file statusbar_gui.h.